%define upstream_name CBOR-XS
%define upstream_version 1.87

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %upstream_version
Release:        %mkrel 4
Summary:        Concise Binary Object Representation (CBOR)
# COPYING:      GPLv3+
## Replaced by system header-only package
# ecb.h:        BSD or GPLv2+
License:        GPLv3+ and (BSD or GPLv2+)
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
# gcc for standard header files
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl-devel
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Canary::Stability)
BuildRequires:  perl(common::sense)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(Types::Serialiser)
BuildRequires:  perl(URI)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Data::Dumper)

Requires:       perl(Math::BigFloat)
Requires:       perl(Math::BigInt)
Requires:       perl(Time::Piece)
Requires:       perl(URI)

%description
This module converts Perl data structures to the Concise Binary Object
Representation (CBOR) and vice versa. CBOR is a fast binary serialization
format that aims to use an (almost) superset of the JSON data model, i.e.
when you can represent something useful in JSON, you should be able to
represent it in CBOR.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="%{optflags}" </dev/null
%make_build

%install
%make_install

find %{buildroot} -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license COPYING
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/CBOR*
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.870.0-4.mga10
+ Revision: 2225735
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.870.0-3.mga10
+ Revision: 2087776
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 1.870.0-2.mga10
+ Revision: 2009910
- Rebuild for perl-5.38

* Wed Sep 20 2023 daviddavid <daviddavid> 1.870.0-1.mga10
+ Revision: 1988452
- new version: 1.870.0

* Wed Nov 23 2022 daviddavid <daviddavid> 1.860.0-1.mga9
+ Revision: 1910439
- new version: 1.860.0

* Mon Jun 06 2022 umeabot <umeabot> 1.830.0-4.mga9
+ Revision: 1861579
- Rebuild for Perl 5.36

* Tue Mar 29 2022 umeabot <umeabot> 1.830.0-3.mga9
+ Revision: 1831195
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.830.0-2.mga9
+ Revision: 1726411
- Rebuild for perl 5.34

* Sat Dec 19 2020 daviddavid <daviddavid> 1.830.0-1.mga8
+ Revision: 1661196
- new version: 1.830.0

* Wed Jun 17 2020 umeabot <umeabot> 1.710.0-4.mga8
+ Revision: 1594314
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.710.0-3.mga8
+ Revision: 1529424
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.710.0-2.mga8
+ Revision: 1433373
- rebuild for perl 5.30

* Sat Nov 17 2018 daviddavid <daviddavid> 1.710.0-1.mga7
+ Revision: 1330301
- new version: 1.71

* Fri Sep 21 2018 umeabot <umeabot> 1.410.0-7.mga7
+ Revision: 1292367
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 1.410.0-6.mga7
+ Revision: 1248453
- rebuild for new perl 5.28.0

* Mon Oct 02 2017 tv <tv> 1.410.0-5.mga7
+ Revision: 1163262
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.410.0-4.mga7
+ Revision: 1148678
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.410.0-3.mga7
+ Revision: 1126699
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.410.0-2.mga6
+ Revision: 1023416
- Rebuild for perl 5.22.2

* Sun Apr 17 2016 daviddavid <daviddavid> 1.410.0-1.mga6
+ Revision: 1003174
- imported package perl-CBOR-XS

